server {
    listen 8080;
    server_name localhost;

    error_log  /var/log/nginx/error.log;
    access_log /var/log/nginx/access.log;

    location / {
        proxy_pass http://app:3000;
        proxy_http_version 1.0;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP: $remote_addr;
        proxy_set_header X-Forwarded-For: $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto: $scheme;
        proxy_set_header Cookie $http_cookie;
    }
}